1 Reply Latest reply: May 25, 2012 3:39 PM by Klaus1
Paul Campos Level 1 Level 1 (0 points)

I am finding that I can't move to the cloud or reinstall Safari and Firefox is now outdated.  I can't upgrade because I don't know where to go from osx 10.5.6.  Any thoughts??


iMac, Mac OS X (10.5.6)
  • Klaus1 Level 8 Level 8 (45,415 points)

    If you have a PPC iMac 10.5.8 is as far as you can go. If you have an Intel Mac you can go to Snow Leopard and then possible Lion, depending on which Mac it is.

     

    Lion requires an Intel-based Mac with a Core 2 Duo, i3, i5, i7 or Xeon processor and 2GB of RAM, running the latest version of Snow Leopard.